package io.reactivex.internal.disposables;

import 㴹.K.AbstractC2513;
import 㴹.K.AbstractC2517;
import 㴹.K.AbstractC2519;
import 㴹.K.AbstractC2520;
import 㴹.K.Ԕ.ʬ.AbstractC2432;

public enum EmptyDisposable implements AbstractC2432<Object> {
    INSTANCE,
    NEVER;

    public static void complete(AbstractC2520<?> r1) {
        r1.onSubscribe(INSTANCE);
        r1.onComplete();
    }

    public static void error(Throwable th, AbstractC2520<?> r2) {
        r2.onSubscribe(INSTANCE);
        r2.onError(th);
    }

    @Override // 㴹.K.Ԕ.ʬ.AbstractC2439
    public void clear() {
    }

    @Override // 㴹.K.㑃.AbstractC2514
    public void dispose() {
    }

    @Override // 㴹.K.㑃.AbstractC2514
    public boolean isDisposed() {
        return this == INSTANCE;
    }

    @Override // 㴹.K.Ԕ.ʬ.AbstractC2439
    public boolean isEmpty() {
        return true;
    }

    @Override // 㴹.K.Ԕ.ʬ.AbstractC2439
    public boolean offer(Object obj) {
        throw new UnsupportedOperationException("Should not be called!");
    }

    @Override // 㴹.K.Ԕ.ʬ.AbstractC2439
    public Object poll() throws Exception {
        return null;
    }

    @Override // 㴹.K.Ԕ.ʬ.AbstractC2438
    public int requestFusion(int i) {
        return i & 2;
    }

    public boolean offer(Object obj, Object obj2) {
        throw new UnsupportedOperationException("Should not be called!");
    }

    public static void complete(AbstractC2519<?> r1) {
        r1.onSubscribe(INSTANCE);
        r1.onComplete();
    }

    public static void error(Throwable th, AbstractC2513 k) {
        k.onSubscribe(INSTANCE);
        k.onError(th);
    }

    public static void complete(AbstractC2513 k) {
        k.onSubscribe(INSTANCE);
        k.onComplete();
    }

    public static void error(Throwable th, AbstractC2517<?> r2) {
        r2.onSubscribe(INSTANCE);
        r2.onError(th);
    }

    public static void error(Throwable th, AbstractC2519<?> r2) {
        r2.onSubscribe(INSTANCE);
        r2.onError(th);
    }
}
